<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:gri="http://java.sun.com/jsf/composite/gri"
        xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/form/_form_page.xhtml">
        <h3>#{messages['net.ihe.gazelle.simulators.AddEditCompany']}</h3>
        <h:outputText value="#{messages['net.ihe.gazelle.simulators.ToRestrictAccessToMessagesReceivedByTheSimulator']}"/>
        <gri:panel id="ipAddDiv">
            <f:facet name="header">#{messages['users.Details']}</f:facet>
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="inKeyword"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.CompanysKeyword']}</ui:define>
                    <h:inputText value="#{companyDetailsManager.selectedCompany.companyKeyword}" styleClass="form-control" id="inKeyword"
                                 required="true"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.simulators.EnterAboveTheKeywordOfTheCompanyAsRegisteredInGa']}"
                                  styleClass="help-block"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="inIPs"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.IPAddressesToAllow']}</ui:define>
                    <h:inputTextarea value="#{companyDetailsManager.additionalIp}" styleClass="form-control" id="inIPs"
                                     rows="3" cols="50"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.simulators.AddAboveTheListOfIPsForThisCompany']}" styleClass="help-block"/>
                    <s:div styleClass="gzl-alert gzl-alert-blue" rendered="#{not empty companyDetailsManager.selectedCompany.ipList}">
                        <h:outputText value="#{messages['net.ihe.gazelle.simulators.TheIPBelowAreAlreadyBoundToThatList']}"/>
                        <ul>
                            <a4j:repeat value="#{companyDetailsManager.selectedCompany.ipList}" var="ip">
                                <li>
                                    <h:outputText value="#{ip.value}"/>
                                </li>
                            </a4j:repeat>
                        </ul>
                    </s:div>
                </s:decorate>
            </div>
            <f:facet name="footer">
                <a4j:commandButton value="#{messages['gazelle.simulator.Save']}" styleClass="gzl-btn-green"
                                   actionListener="#{companyDetailsManager.addIPsToCompany()}"
                                   render="globalDiv"/>
                <a4j:commandButton value="#{messages['users.Cancel']}" styleClass="gzl-btn" immediate="true"
                                   actionListener="#{companyDetailsManager.setSelectedCompany(null)}"
                                   render="globalDiv"/>
            </f:facet>
        </gri:panel>
    </ui:decorate>
</ui:composition>
